Bug 249131 - textproc/py-pygments: Update 2.5.2 -> 2.6.1
Summary: textproc/py-pygments: Update 2.5.2 -> 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: buildisok
Depends on:
Blocks: 250074 250144
  Show dependency treegraph
 
Reported: 2020-09-05 18:15 UTC by Yuri Victorovich
Modified: 2020-10-07 23:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
patch (918 bytes, patch)
2020-09-05 18:15 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-09-05 18:15:56 UTC
Created attachment 217770 [details]
patch
Comment 1 Automation User 2020-09-20 00:22:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/192062521
Comment 2 commit-hook freebsd_committer 2020-09-20 00:28:31 UTC
A commit references this bug:

Author: yuri
Date: Sun Sep 20 00:28:28 UTC 2020
New revision: 549076
URL: https://svnweb.freebsd.org/changeset/ports/549076

Log:
  textproc/py-pygments: Update 2.5.2 -> 2.6.1

  PR:		249131
  Approved by:	nivit (maintainer timeout 14 days)

Changes:
  head/textproc/py-pygments/Makefile
  head/textproc/py-pygments/distinfo
Comment 3 Yuri Victorovich freebsd_committer 2020-09-20 00:28:35 UTC
Committed.
Comment 4 Thierry Thomas freebsd_committer 2020-10-05 16:57:09 UTC
This change introduces several conflicts, and breaks consumers, e.g. math/sage.

See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250074 and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250074
Comment 5 commit-hook freebsd_committer 2020-10-06 22:32:25 UTC
A commit references this bug:

Author: dbaio
Date: Tue Oct  6 22:32:07 UTC 2020
New revision: 551605
URL: https://svnweb.freebsd.org/changeset/ports/551605

Log:
  devel/ipython5: Use newest version of pygments

  The pinned dependency 'pygments<2.6' is only necessary to solve an issue with
  Python 2.7, and devel/ipython5 is now python3.5+ only. [1] [2]

  This fixes a conflict introduced on ports r549076 and r549418 between
  textproc/py-pygments and textproc/py-pygments-25 when building at least
  textproc/py-sphinx and math/sage.

  1 - https://github.com/ipython/ipython/pull/12174
  2 - https://github.com/ipython/ipython/issues/12173

  PR:		249131, 250074, 250144
  Reported by:	thierry, swills
  Approved by:	python (with hat)
  MFH:		2020Q4 (build fix, conflicts)

Changes:
  head/devel/ipython5/Makefile
  head/devel/ipython5/files/
  head/devel/ipython5/files/patch-setup.py
Comment 6 commit-hook freebsd_committer 2020-10-07 23:23:16 UTC
A commit references this bug:

Author: dbaio
Date: Wed Oct  7 23:22:25 UTC 2020
New revision: 551675
URL: https://svnweb.freebsd.org/changeset/ports/551675

Log:
  MFH: r551605

  devel/ipython5: Use newest version of pygments

  The pinned dependency 'pygments<2.6' is only necessary to solve an issue with
  Python 2.7, and devel/ipython5 is now python3.5+ only. [1] [2]

  This fixes a conflict introduced on ports r549076 and r549418 between
  textproc/py-pygments and textproc/py-pygments-25 when building at least
  textproc/py-sphinx and math/sage.

  1 - https://github.com/ipython/ipython/pull/12174
  2 - https://github.com/ipython/ipython/issues/12173

  PR:		249131, 250074, 250144
  Reported by:	thierry, swills
  Approved by:	python (with hat)

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/devel/ipython5/Makefile
  branches/2020Q4/devel/ipython5/files/